#include <iostream>
#include <conio.h>

int n, m, k, t;

int main(){
  freopen("Nuts.in", "r", stdin);

  scanf("%d", &t);

  for(int i = 0;i < t;i++){
	  scanf("%d%d%d", &n, &m, &k);
	  if(n * m >= k)
		  printf("YES\n");
	  if(n * m < k) printf("NO\n");
	  }
}